Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228120 - Cannot create folders
Summary: Cannot create folders
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 02:29 UTC by Steven A. Falco
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: thunderbird-2.0.0.9-1.fc8.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-24 16:30:28 UTC


Attachments (Terms of Use)

Description Steven A. Falco 2007-02-10 02:29:59 UTC
Description of problem: I used to be able to create folders by right-clicking on
"local folders", then selecting the "new folder" item.  Now, when I do that,
thunderbird hangs.  None of the menus work, and if I click the close-box, a
message pops up that thunderbird is not responding.

The same thing happens if I use the file->new->folder menu.  This seems to have
happened around the same time as the recent drag-n-drop bug.

Version-Release number of selected component (if applicable):
thunderbird-1.5.0.9-7.fc6.x86_64


How reproducible: 100%


Steps to Reproduce:
1. Start thunderbird
2. try to create a folder
3.
  
Actual results: thunderbird becomes completely unresponsive


Expected results: new folder created


Additional info:

Comment 1 Steven A. Falco 2007-02-10 19:20:17 UTC
I just tried downloading thunderbird-1.5.0.9.tar.gz from mozilla.org.  It works
properly - I can create folders with no problems.  So, this problem seems either
to be specific to the x86_64 architector or specific to the Fedora packaging.

Comment 2 Christopher Aillon 2007-04-09 16:39:19 UTC
Odd.  the drag and drop patch is also upstream.  Does this still happen with .10?

Comment 3 Steven A. Falco 2007-04-11 02:22:34 UTC
As per your suggestion, I just upgraded to .10.  I have the exact same behavior.
 Attempting to create a folder by right-clicking or from the file menu causes a
hang.

Interestingly, when I try to create a folder, the title bar of the thunderbird
window goes inactive.  If I move the mouse to another window then back to
thunderbird, the title bar again becomes active, but no controls do anything -
no menus work, etc.  And clicking the close box causes the "not responding - do
you want to terminate the app" message to appear.

If there is a way I can provide any more information please let me know what you
need.

Comment 4 Steven A. Falco 2007-11-24 16:30:28 UTC
No longer happens in F8 with thunderbird-2.0.0.9-1.fc8.x86_64.


Note You need to log in before you can comment on or make changes to this bug.